<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'mark',

    /*
     * Package.
     */
    'package'   => 'exam',

    /*
     * Modules.
     */
    'modules'   => ['student'],

    
    'student'       => [
        'model' => [
            'model'                 => \Mark\Exam\Models\Student::class,
            'table'                 => 'students',
            'presenter'             => \Mark\Exam\Repositories\Presenter\StudentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'mark',  'created_at',  '6)',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'exam/student',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Mark',
            'package'   => 'Exam',
            'module'    => 'Student',
        ],

    ],
];
