<?php

namespace Mark\Exam\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StudentTransformer extends TransformerAbstract
{
    public function transform(\Mark\Exam\Models\Student $student)
    {
        return [
            'id'                => $student->getRouteKey(),
            'key'               => [
                'public'    => $student->getPublicKey(),
                'route'     => $student->getRouteKey(),
            ], 
            'id'                => $student->id,
            'name'              => $student->name,
            'mark'              => $student->mark,
            'created_at'        => $student->created_at,
            '6)'                => $student->6),
            'updated_at'        => $student->updated_at,
            'deleted_at'        => $student->deleted_at,
            'url'               => [
                'public'    => trans_url('exam/'.$student->getPublicKey()),
                'user'      => guard_url('exam/student/'.$student->getRouteKey()),
            ], 
            'status'            => trans('app.'.$student->status),
            'created_at'        => format_date($student->created_at),
            'updated_at'        => format_date($student->updated_at),
        ];
    }
}